<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module: ApplicationHelper</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Module</strong></td>
          <td class="class-name-in-header">ApplicationHelper</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/helpers/application_helper_rb.html">
                app/helpers/application_helper.rb
                </a>
        <br />
            </td>
        </tr>

        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">

    <div id="description">
      <p>
Methods added to this helper will be available to all templates in the
application.
</p>

    </div>


   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000071">error_msg</a>&nbsp;&nbsp;
      <a href="#M000078">hyphenate</a>&nbsp;&nbsp;
      <a href="#M000074">labelled_check_box</a>&nbsp;&nbsp;
      <a href="#M000075">labelled_password_field</a>&nbsp;&nbsp;
      <a href="#M000072">labelled_select</a>&nbsp;&nbsp;
      <a href="#M000073">labelled_text_field</a>&nbsp;&nbsp;
      <a href="#M000077">labelled_text_span</a>&nbsp;&nbsp;
      <a href="#M000076">labelled_text_span_old</a>&nbsp;&nbsp;
      <a href="#M000069">pager</a>&nbsp;&nbsp;
      <a href="#M000070">text_field_tag_error</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000071" class="method-detail">
        <a name="M000071"></a>

        <div class="method-heading">
          <a href="#M000071" class="method-signature">
          <span class="method-name">error_msg</span><span class="method-args">(name)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000071-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000071-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 22</span>
22:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
23:     <span class="ruby-keyword kw">return</span> <span class="ruby-value str">&quot;&quot;</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-ivar">@errors</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">name</span>.<span class="ruby-identifier">to_sym</span>]
24:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&quot;</span>
25:     <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">name</span>.<span class="ruby-identifier">to_sym</span>].<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">error</span><span class="ruby-operator">|</span>
26:       <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-value str">&quot;&lt;label&gt;&amp;nbsp;&lt;/label&gt;&quot;</span>
27:       <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-value str">&quot;&lt;p class='error'&gt;&quot;</span> <span class="ruby-operator">+</span> <span class="ruby-identifier">error</span> <span class="ruby-operator">+</span> <span class="ruby-value str">&quot;&lt;/p&gt;&quot;</span>
28:     <span class="ruby-keyword kw">end</span>
29:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
30:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000078" class="method-detail">
        <a name="M000078"></a>

        <div class="method-heading">
          <a href="#M000078" class="method-signature">
          <span class="method-name">hyphenate</span><span class="method-args">(text)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000078-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000078-source">
<pre>
     <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 144</span>
144:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">hyphenate</span>(<span class="ruby-identifier">text</span>)
145:     <span class="ruby-keyword kw">return</span> <span class="ruby-value str">&quot;---&quot;</span> <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">text</span>.<span class="ruby-identifier">nil?</span> <span class="ruby-operator">||</span> <span class="ruby-identifier">text</span> <span class="ruby-operator">==</span> <span class="ruby-value str">&quot;&quot;</span> <span class="ruby-operator">||</span> <span class="ruby-identifier">text</span> <span class="ruby-operator">==</span> <span class="ruby-value str">&quot;NULL&quot;</span>
146:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">text</span>
147:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000074" class="method-detail">
        <a name="M000074"></a>

        <div class="method-heading">
          <a href="#M000074" class="method-signature">
          <span class="method-name">labelled_check_box</span><span class="method-args">(label, name, value, checked, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000074-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000074-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 64</span>
64:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_check_box</span>(<span class="ruby-identifier">label</span>, <span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span>, <span class="ruby-identifier">checked</span>, <span class="ruby-identifier">options</span> = {})
65:     <span class="ruby-identifier">error_msg</span> = <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
66:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">error_msg</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">&quot;&quot;</span>
67:       <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] = <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">+</span> <span class="ruby-value str">&quot; error&quot;</span> <span class="ruby-operator">:</span> <span class="ruby-value str">&quot;error&quot;</span>
68:     <span class="ruby-keyword kw">end</span>
69:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&lt;div class=\&quot;required\&quot;&gt;\n&lt;label for=\&quot;\#{name}\&quot;&gt;\#{label}&lt;/label&gt;\n\#{check_box_tag(name, value, checked, options)}\n\#{error_msg}\n&lt;/div&gt;\n&quot;</span>
70:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
71:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000075" class="method-detail">
        <a name="M000075"></a>

        <div class="method-heading">
          <a href="#M000075" class="method-signature">
          <span class="method-name">labelled_password_field</span><span class="method-args">(label, name, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000075-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000075-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 80</span>
80:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_password_field</span>(<span class="ruby-identifier">label</span>, <span class="ruby-identifier">name</span>, <span class="ruby-identifier">options</span> = {})
81:     <span class="ruby-identifier">error_msg</span> = <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
82:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">error_msg</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">&quot;&quot;</span>
83:       <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] = <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">+</span> <span class="ruby-value str">&quot; error&quot;</span> <span class="ruby-operator">:</span> <span class="ruby-value str">&quot;error&quot;</span>
84:     <span class="ruby-keyword kw">end</span>
85:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&lt;div class=\&quot;required\&quot;&gt;\n&lt;label for=\&quot;\#{name}\&quot;&gt;\#{label}&lt;/label&gt;\n\#{password_field_tag(name, nil, options)}\n\#{error_msg}\n&lt;/div&gt;\n&quot;</span>
86:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
87:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000072" class="method-detail">
        <a name="M000072"></a>

        <div class="method-heading">
          <a href="#M000072" class="method-signature">
          <span class="method-name">labelled_select</span><span class="method-args">(label, name, container, options = {}, html_options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000072-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000072-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 32</span>
32:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_select</span>(<span class="ruby-identifier">label</span>, <span class="ruby-identifier">name</span>, <span class="ruby-identifier">container</span>, <span class="ruby-identifier">options</span> = {}, <span class="ruby-identifier">html_options</span> = {})
33:     <span class="ruby-identifier">error_msg</span> = <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
34:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">error_msg</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">&quot;&quot;</span>
35:       <span class="ruby-identifier">html_options</span>[<span class="ruby-identifier">:class</span>] = <span class="ruby-identifier">html_options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">html_options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">+</span> <span class="ruby-value str">&quot; error&quot;</span> <span class="ruby-operator">:</span> <span class="ruby-value str">&quot;error&quot;</span>
36:     <span class="ruby-keyword kw">end</span>
37:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&lt;div class=\&quot;required\&quot;&gt;\n&lt;label for=\&quot;\#{name}\&quot;&gt;\#{label}&lt;/label&gt;\n\#{select('work', name, container, options, html_options)}\n\#{error_msg}\n&lt;/div&gt;\n&quot;</span>
38:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
39:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000073" class="method-detail">
        <a name="M000073"></a>

        <div class="method-heading">
          <a href="#M000073" class="method-signature">
          <span class="method-name">labelled_text_field</span><span class="method-args">(label, name, value, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000073-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000073-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 48</span>
48:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_text_field</span>(<span class="ruby-identifier">label</span>, <span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span>, <span class="ruby-identifier">options</span> = {})
49:     <span class="ruby-identifier">error_msg</span> = <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
50:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">error_msg</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">&quot;&quot;</span>
51:       <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] = <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">+</span> <span class="ruby-value str">&quot; error&quot;</span> <span class="ruby-operator">:</span> <span class="ruby-value str">&quot;error&quot;</span>
52:     <span class="ruby-keyword kw">end</span>
53:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&lt;div class=\&quot;required\&quot;&gt;\n&lt;label for=\&quot;\#{name}\&quot;&gt;\#{label}&lt;/label&gt;\n\#{text_field_tag(name, value, options)}\n\#{error_msg}\n&lt;/div&gt;\n&quot;</span>
54:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
55:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000077" class="method-detail">
        <a name="M000077"></a>

        <div class="method-heading">
          <a href="#M000077" class="method-signature">
          <span class="method-name">labelled_text_span</span><span class="method-args">(object_name, field, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000077-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000077-source">
<pre>
     <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 115</span>
115:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_text_span</span>(<span class="ruby-identifier">object_name</span>, <span class="ruby-identifier">field</span>, <span class="ruby-identifier">options</span> = {})
116:     <span class="ruby-identifier">object</span> = <span class="ruby-ivar">@template</span>.<span class="ruby-identifier">instance_variable_get</span>(<span class="ruby-node">&quot;@#{object_name}&quot;</span>)
117:     <span class="ruby-identifier">value</span> = <span class="ruby-identifier">object</span>.<span class="ruby-identifier">send</span>(<span class="ruby-identifier">field</span>)
118: 
119:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@version</span>
120:       <span class="ruby-identifier">old_value</span> = <span class="ruby-ivar">@version</span>.<span class="ruby-identifier">send</span>(<span class="ruby-identifier">field</span>)
121:     <span class="ruby-keyword kw">end</span>
122:     <span class="ruby-identifier">label</span> = <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:label</span>] <span class="ruby-operator">||</span> <span class="ruby-identifier">field</span>.<span class="ruby-identifier">to_s</span>.<span class="ruby-identifier">humanize</span> <span class="ruby-operator">+</span> <span class="ruby-value str">&quot;:&quot;</span>
123:     
124:     <span class="ruby-identifier">old_value_html</span> = <span class="ruby-value str">&quot;&quot;</span>
125:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@version</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-identifier">value</span> <span class="ruby-operator">!=</span> <span class="ruby-identifier">old_value</span>
126:       <span class="ruby-identifier">old_value_html</span>  = <span class="ruby-value str">&quot;&lt;p class='version'&gt;\n&lt;label for=\&quot;\#{field}_old\&quot;&gt;Old value:&lt;/label&gt;\n&lt;span id=\&quot;\#{field}_old\&quot;&gt;\#{hyphenate(old_value)}&lt;/span&gt;\n&lt;/p&gt;\n&quot;</span>
127:     <span class="ruby-keyword kw">end</span>
128:     <span class="ruby-keyword kw">return</span> <span class="ruby-value str">&quot;&lt;div&gt;\n&lt;label for=\&quot;\#{field}\&quot;&gt;\#{label}&lt;/label&gt;\n&lt;span id=\&quot;\#{field}\&quot;&gt;\#{hyphenate(value)}&lt;/span&gt;\n\#{old_value_html}\n&lt;/div&gt;\n&quot;</span>
129:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000076" class="method-detail">
        <a name="M000076"></a>

        <div class="method-heading">
          <a href="#M000076" class="method-signature">
          <span class="method-name">labelled_text_span_old</span><span class="method-args">(label, name, value, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000076-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000076-source">
<pre>
     <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 96</span>
 96:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">labelled_text_span_old</span>(<span class="ruby-identifier">label</span>, <span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span>, <span class="ruby-identifier">options</span> = {})
 97:     <span class="ruby-identifier">value</span> = <span class="ruby-value str">&quot;---&quot;</span> <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">value</span>.<span class="ruby-identifier">nil?</span> <span class="ruby-operator">||</span> <span class="ruby-identifier">value</span> <span class="ruby-operator">==</span> <span class="ruby-value str">&quot;&quot;</span> <span class="ruby-operator">||</span> <span class="ruby-identifier">value</span> <span class="ruby-operator">==</span> <span class="ruby-value str">&quot;NULL&quot;</span>
 98:     <span class="ruby-identifier">old_value_html</span> = <span class="ruby-value str">&quot;&quot;</span>
 99:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:old_value</span>]
100:       <span class="ruby-identifier">old_value_html</span>  = <span class="ruby-value str">&quot;&lt;label for=\&quot;\#{name}\&quot;&gt;Old value:&lt;/label&gt;\n&lt;span id=\&quot;\#{name}_old\&quot;&gt;\#{value}&lt;/span&gt;\n&quot;</span>
101:     <span class="ruby-keyword kw">end</span>
102:     <span class="ruby-keyword kw">return</span> <span class="ruby-value str">&quot;&lt;div&gt;\n&lt;label for=\&quot;\#{name}\&quot;&gt;\#{label}&lt;/label&gt;\n&lt;span id=\&quot;\#{name}\&quot;&gt;\#{value}&lt;/span&gt;\n\#{old_value_html}\n&lt;/div&gt;\n&quot;</span>
103:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000069" class="method-detail">
        <a name="M000069"></a>

        <div class="method-heading">
          <a href="#M000069" class="method-signature">
          <span class="method-name">pager</span><span class="method-args">(pages, options={})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000069-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000069-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 4</span>
 4:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">pager</span>(<span class="ruby-identifier">pages</span>, <span class="ruby-identifier">options</span>={})
 5:     <span class="ruby-identifier">html</span> = <span class="ruby-identifier">link_to</span>(<span class="ruby-value str">'|&lt;&lt;'</span>, <span class="ruby-identifier">options</span>.<span class="ruby-identifier">merge</span>({<span class="ruby-identifier">:page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">first</span>}))
 6:     <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-identifier">link_to</span>(<span class="ruby-value str">'&lt;'</span>, <span class="ruby-identifier">options</span>.<span class="ruby-identifier">merge</span>({<span class="ruby-identifier">:page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">current</span>.<span class="ruby-identifier">previous</span> })) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">current</span>.<span class="ruby-identifier">previous</span>
 7:     <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-node">&quot; page #{pages.current.number} of #{pages.page_count} &quot;</span>
 8:     <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-identifier">link_to</span>(<span class="ruby-value str">'&gt;'</span>, <span class="ruby-identifier">options</span>.<span class="ruby-identifier">merge</span>({<span class="ruby-identifier">:page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">current</span>.<span class="ruby-identifier">next</span> })) <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">current</span>.<span class="ruby-identifier">next</span>
 9:     <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-identifier">link_to</span>(<span class="ruby-value str">'&gt;&gt;|'</span>, <span class="ruby-identifier">options</span>.<span class="ruby-identifier">merge</span>({<span class="ruby-identifier">:page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">pages</span>.<span class="ruby-identifier">last</span>}))
10:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
11:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000070" class="method-detail">
        <a name="M000070"></a>

        <div class="method-heading">
          <a href="#M000070" class="method-signature">
          <span class="method-name">text_field_tag_error</span><span class="method-args">(name, value = nil, options = {})</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000070-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000070-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 13</span>
13:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">text_field_tag_error</span>(<span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span> = <span class="ruby-keyword kw">nil</span>, <span class="ruby-identifier">options</span> = {})
14:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">name</span>.<span class="ruby-identifier">to_sym</span>]
15:       <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] = <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">options</span>[<span class="ruby-identifier">:class</span>] <span class="ruby-operator">+</span> <span class="ruby-value str">&quot; error&quot;</span> <span class="ruby-operator">:</span> <span class="ruby-value str">&quot;error&quot;</span>
16:       <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">text_field_tag</span>(<span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span>, <span class="ruby-identifier">options</span>) <span class="ruby-operator">+</span> <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
17:     <span class="ruby-keyword kw">end</span>
18:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">text_field_tag</span>(<span class="ruby-identifier">name</span>, <span class="ruby-identifier">value</span>, <span class="ruby-identifier">options</span>)
19:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>